﻿(function(){

//ドキュメント確認
if(app.documents.length==0){
alert("InDesignドキュメントを開いてから実行してください。");
exit() ;
}else if(app.documents.length>1){
	alert("複数のInDesignドキュメントを開いている場合、最前面ドキュメントのみが処理対象となります。");
	}
if(app.documents[0].saved==false){
		alert("処理対象のInDesignドキュメントを保存してから実行してください。");
		exit() ;
}
alert("リストに従ってグリフ置換を実行します。")

//グリフ置換

//未実行一覧用の外部テキストファイルを用意
now = new Date();
myYear = now.getFullYear();
myMonth=now.getMonth()+1;
myDate=now.getDate();
myHours=now.getHours();
myMinutes=now.getMinutes();
mySeconds=now.getSeconds();
nowTime="-"+myYear +"-"+myMonth+"-"+myDate+"-"+myHours+"-"+myMinutes+"-"+mySeconds;
saveFolderPath = app.documents[0].filePath; // ドキュメントの保存フォルダ
fileObj = new File(saveFolderPath +"/【"+app.documents[0].name+"】未実行一覧"+ nowTime+".txt");

///一覧を生成
var doc = app.documents[0] ;
var ngList=new String;
ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");
//検索オプション
app.changeTextPreferences = NothingEnum.nothing;	// オプションはすべてなし。false

app.findGlyphPreferences = NothingEnum.nothing;	// オプションはすべてなし。false
app.changeGlyphPreferences = NothingEnum.nothing;	// オプションはすべてなし。false
app.findChangeGlyphOptions.includeHiddenLayers = true;//非表示レイヤーを含めるかどうか
app.findChangeGlyphOptions.includeMasterPages = true;//マスターページを含めるかどうか
app.findChangeGlyphOptions.includeFootnotes = true;//脚注を含めるかどうか
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】には「CID〈"+a+"〉→〈"+b+"〉」という検索／置換を設定できません（該当グリフなし）。");
	}
};

//外部テキストファイルにリストを保存
ngList=ngList.replace(/\t/g," ");
flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
if (doc.fonts[j].writingScript == 1) {
//検索置換リストを読み込み
#include "B02_list_maru_num.jsx"
	} 
}
//処理完了アラート
alert("【"+app.documents[0].name+"】のグリフ置換を実行しました。\r●未実行リストはドキュメントと同階層に保存されています。");

})();