﻿//(function(){
//スウォッチ「chikan_zumi」を追加する場合は以下を使用
/*
var MYCOLORNAME="chikan_zumi";
var myColor=null;
try{
    myColor = app.activeDocument.colors.item(MYCOLORNAME);
    myColor.name; 
}
catch(myError){
    myColor=app.activeDocument.colors.add();
}
if(myColor!=null){
    myColor.name=MYCOLORNAME;
    myColor.model=ColorModel.process;
    myColor.colorValue=[0,100,100,00];//CMYK値で色を指定
}
else{
    alert("something is wrong.");
}
*/

//検索オプション（正規表現）
app.changeGrepPreferences = NothingEnum.nothing;
app.findGrepPreferences = NothingEnum.nothing;
app.findChangeGlyphOptions.includeHiddenLayers = true;//非表示レイヤーを含めるかどうか
app.findChangeGlyphOptions.includeMasterPages = true;//マスターページを含めるかどうか
app.findChangeGlyphOptions.includeFootnotes = true;//脚注を含めるかどうか

//置換後に文字色を「chikan_zumi」とする場合は以下を使用
//app.changeGrepPreferences.fillColor = app.activeDocument.swatches.itemByName('chikan_zumi');

//置換後に任意の文字スタイルを適用する場合は以下を使用（スタイル名も入力すること）
//app.changeGrepPreferences.appliedCharacterStyle = app.documents.item(0).characterStyles.item("スタイル名");


//検索オプション（字形）
app.changeTextPreferences = NothingEnum.nothing;	// オプションはすべてなし。false
app.findGlyphPreferences = NothingEnum.nothing;	// オプションはすべてなし。false
app.changeGlyphPreferences = NothingEnum.nothing;	// オプションはすべてなし。false
app.findChangeGlyphOptions.includeHiddenLayers = true;//非表示レイヤーを含めるかどうか
app.findChangeGlyphOptions.includeMasterPages = true;//マスターページを含めるかどうか
app.findChangeGlyphOptions.includeFootnotes = true;//脚注を含めるかどうか

/////////////////////////////////////////////

//ドキュメント確認
if(app.documents.length==0){
alert("InDesignドキュメントを開いてから実行してください。");
exit() ;
}else if(app.documents.length>1){
	alert("複数のInDesignドキュメントを開いている場合、最前面ドキュメントのみが処理対象となります。");
	}
if(app.documents[0].saved==false){
		alert("処理対象のInDesignドキュメントを保存してから実行してください。");
		exit() ;
}
alert("リストに従ってグリフ置換を実行します。")

//グリフ置換

//未実行一覧用の外部テキストファイルを用意
now = new Date();
myYear = now.getFullYear();
myMonth=now.getMonth()+1;
myDate=now.getDate();
myHours=now.getHours();
myMinutes=now.getMinutes();
mySeconds=now.getSeconds();
nowTime="-"+myYear +"-"+myMonth+"-"+myDate+"-"+myHours+"-"+myMinutes+"-"+mySeconds;
saveFolderPath = app.documents[0].filePath; // ドキュメントの保存フォルダ
fileObj = new File(saveFolderPath +"/【"+app.documents[0].name+"】未実行一覧"+ nowTime+".txt");

///一覧を生成
var doc = app.documents[0] ;
var ngList=new String;
ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");

/////////////////////////////////////////////

//ここから01

function chikan(a,b){
app.findGrepPreferences.findWhat = a;
app.changeGrepPreferences.changeTo = b;
app.activeDocument.changeGrep(); //ドキュメント対象 
};

//検索置換リスト01
chikan("（（0））","Α");
chikan("（（00））","Β");
chikan("（（1））","Γ");
chikan("（（01））","Δ");
chikan("（（2））","Ε");
chikan("（（02））","Ζ");
chikan("（（3））","Η");
chikan("（（03））","Θ");
chikan("（（4））","Ι");
chikan("（（04））","Κ");
chikan("（（5））","Λ");
chikan("（（05））","Μ");
chikan("（（6））","Ν");
chikan("（（06））","Ξ");
chikan("（（7））","Ο");
chikan("（（07））","Π");
chikan("（（8））","Ρ");
chikan("（（08））","Σ");
chikan("（（9））","Τ");
chikan("（（09））","Υ");
chikan("（（10））","Φ");
chikan("（（11））","Χ");
chikan("（（12））","Ψ");
chikan("（（13））","Ω");
chikan("（（14））","α");
chikan("（（15））","β");
chikan("（（16））","γ");
chikan("（（17））","δ");
chikan("（（18））","ε");
chikan("（（19））","ζ");
chikan("（（20））","η");
chikan("（（21））","θ");
chikan("（（22））","ι");
chikan("（（23））","κ");
chikan("（（24））","λ");
chikan("（（25））","μ");
chikan("（（26））","ν");
chikan("（（27））","ξ");
chikan("（（28））","ο");
chikan("（（29））","π");
chikan("（（30））","ρ");
chikan("（（31））","σ");
chikan("（（32））","τ");
chikan("（（33））","υ");
chikan("（（34））","φ");
chikan("（（35））","χ");
chikan("（（36））","ψ");
chikan("（（37））","ω");
chikan("（（38））","А");
chikan("（（39））","Б");
chikan("（（40））","В");
chikan("（（41））","Г");
chikan("（（42））","Д");
chikan("（（43））","Е");
chikan("（（44））","Ё");
chikan("（（45））","Ж");
chikan("（（46））","З");
chikan("（（47））","И");
chikan("（（48））","Й");
chikan("（（49））","К");
chikan("（（50））","Л");
chikan("（（51））","М");
chikan("（（52））","Н");
chikan("（（53））","О");
chikan("（（54））","П");
chikan("（（55））","Р");
chikan("（（56））","С");
chikan("（（57））","Т");
chikan("（（58））","У");
chikan("（（59））","Ф");
chikan("（（60））","Х");
chikan("（（61））","Ц");
chikan("（（62））","Ч");
chikan("（（63））","Ш");
chikan("（（64））","Щ");
chikan("（（65））","Ъ");
chikan("（（66））","Ы");
chikan("（（67））","Ь");
chikan("（（68））","Э");
chikan("（（69））","Ю");
chikan("（（70））","Я");
chikan("（（71））","а");
chikan("（（72））","б");
chikan("（（73））","в");
chikan("（（74））","г");
chikan("（（75））","д");
chikan("（（76））","е");
chikan("（（77））","ё");
chikan("（（78））","ж");
chikan("（（79））","з");
chikan("（（80））","и");
chikan("（（81））","й");
chikan("（（82））","к");
chikan("（（83））","л");
chikan("（（84））","м");
chikan("（（85））","н");
chikan("（（86））","о");
chikan("（（87））","п");
chikan("（（88））","р");
chikan("（（89））","с");
chikan("（（90））","т");
chikan("（（91））","у");
chikan("（（92））","ф");
chikan("（（93））","х");
chikan("（（94））","ц");
chikan("（（95））","ч");
chikan("（（96））","ш");
chikan("（（97））","щ");
chikan("（（98））","ъ");
chikan("（（99））","ы");
chikan("（（100））","ь");
/////////////////////////////////////////////
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】ではカッコ数字の検索／置換が実行できなかった可能性があります。");
	}
};

//外部テキストファイルにリストを保存
/*
ngList=ngList.replace(/\t/g," ");
flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
*/
if (doc.fonts[j].writingScript == 1) {
//検索置換リスト
chikan(1011,8227);
chikan(1012,9884);
chikan(1013,8071);
chikan(1014,9885);
chikan(1015,8072);
chikan(1016,9886);
chikan(1017,8073);
chikan(1018,9887);
chikan(1019,8074);
chikan(1020,9888);
chikan(1021,8075);
chikan(1022,9889);
chikan(1023,8076);
chikan(1024,9890);
chikan(1025,8077);
chikan(1026,9891);
chikan(1027,8078);
chikan(1028,9892);
chikan(1029,8079);
chikan(1030,9893);
chikan(1031,8080);
chikan(1032,8081);
chikan(1033,8082);
chikan(1034,8083);
chikan(1035,8084);
chikan(1036,8085);
chikan(1037,8086);
chikan(1038,8087);
chikan(1039,8088);
chikan(1040,8089);
chikan(1041,8090);
chikan(1042,9894);
chikan(1043,9895);
chikan(1044,9896);
chikan(1045,9897);
chikan(1046,9898);
chikan(1047,9899);
chikan(1048,9900);
chikan(1049,9901);
chikan(1050,9902);
chikan(1051,9903);
chikan(1052,9904);
chikan(1053,9905);
chikan(1054,9906);
chikan(1055,9907);
chikan(1056,9908);
chikan(1057,9909);
chikan(1058,9910);
chikan(1059,9911);
chikan(1060,9912);
chikan(1061,9913);
chikan(1062,9914);
chikan(1063,9915);
chikan(1064,9916);
chikan(1065,9917);
chikan(1066,9918);
chikan(1067,9919);
chikan(1068,9920);
chikan(1069,9921);
chikan(1070,9922);
chikan(1071,9923);
chikan(1072,9924);
chikan(1073,9925);
chikan(1074,9926);
chikan(1075,9927);
chikan(1076,9928);
chikan(1077,9929);
chikan(1078,9930);
chikan(1079,9931);
chikan(1080,9932);
chikan(1081,9933);
chikan(1082,9934);
chikan(1083,9935);
chikan(1084,9936);
chikan(1085,9937);
chikan(1086,9938);
chikan(1087,9939);
chikan(1088,9940);
chikan(1089,9941);
chikan(1090,9942);
chikan(1091,9943);
chikan(1092,9944);
chikan(1093,9945);
chikan(1094,9946);
chikan(1095,9947);
chikan(1096,9948);
chikan(1097,9949);
chikan(1098,9950);
chikan(1099,9951);
chikan(1100,9952);
chikan(1101,9953);
chikan(1102,9954);
chikan(1103,9955);
chikan(1104,9956);
chikan(1105,9957);
chikan(1106,9958);
chikan(1107,9959);
chikan(1108,9960);
chikan(1109,9961);
chikan(1110,9962);
chikan(1111,9963);
chikan(1112,9964);
chikan(1113,9965);
chikan(1114,9966);
chikan(1115,9967);
chikan(1116,9968);
chikan(1117,9969);
chikan(1118,9970);
chikan(1119,9971);
chikan(1120,9972);
chikan(1121,9973);
	} 
}
/////////////////////////////////////////////
//})();
/////////////////////////////////////////////

//ここから02
(function(){
/////////////////////////////////////////////
function chikan(a,b){
app.findGrepPreferences.findWhat = a;
app.changeGrepPreferences.changeTo = b;

app.activeDocument.changeGrep(); //ドキュメント対象 
};

//検索置換リスト
chikan("○0○","Α");
chikan("○00○","Β");
chikan("○1○","Γ");
chikan("○01○","Δ");
chikan("○2○","Ε");
chikan("○02○","Ζ");
chikan("○3○","Η");
chikan("○03○","Θ");
chikan("○4○","Ι");
chikan("○04○","Κ");
chikan("○5○","Λ");
chikan("○05○","Μ");
chikan("○6○","Ν");
chikan("○06○","Ξ");
chikan("○7○","Ο");
chikan("○07○","Π");
chikan("○8○","Ρ");
chikan("○08○","Σ");
chikan("○9○","Τ");
chikan("○09○","Υ");
chikan("○10○","Φ");
chikan("○11○","Χ");
chikan("○12○","Ψ");
chikan("○13○","Ω");
chikan("○14○","α");
chikan("○15○","β");
chikan("○16○","γ");
chikan("○17○","δ");
chikan("○18○","ε");
chikan("○19○","ζ");
chikan("○20○","η");
chikan("○21○","θ");
chikan("○22○","ι");
chikan("○23○","κ");
chikan("○24○","λ");
chikan("○25○","μ");
chikan("○26○","ν");
chikan("○27○","ξ");
chikan("○28○","ο");
chikan("○29○","π");
chikan("○30○","ρ");
chikan("○31○","σ");
chikan("○32○","τ");
chikan("○33○","υ");
chikan("○34○","φ");
chikan("○35○","χ");
chikan("○36○","ψ");
chikan("○37○","ω");
chikan("○38○","А");
chikan("○39○","Б");
chikan("○40○","В");
chikan("○41○","Г");
chikan("○42○","Д");
chikan("○43○","Е");
chikan("○44○","Ё");
chikan("○45○","Ж");
chikan("○46○","З");
chikan("○47○","И");
chikan("○48○","Й");
chikan("○49○","К");
chikan("○50○","Л");
chikan("○51○","М");
chikan("○52○","Н");
chikan("○53○","О");
chikan("○54○","П");
chikan("○55○","Р");
chikan("○56○","С");
chikan("○57○","Т");
chikan("○58○","У");
chikan("○59○","Ф");
chikan("○60○","Х");
chikan("○61○","Ц");
chikan("○62○","Ч");
chikan("○63○","Ш");
chikan("○64○","Щ");
chikan("○65○","Ъ");
chikan("○66○","Ы");
chikan("○67○","Ь");
chikan("○68○","Э");
chikan("○69○","Ю");
chikan("○70○","Я");
chikan("○71○","а");
chikan("○72○","б");
chikan("○73○","в");
chikan("○74○","г");
chikan("○75○","д");
chikan("○76○","е");
chikan("○77○","ё");
chikan("○78○","ж");
chikan("○79○","з");
chikan("○80○","и");
chikan("○81○","й");
chikan("○82○","к");
chikan("○83○","л");
chikan("○84○","м");
chikan("○85○","н");
chikan("○86○","о");
chikan("○87○","п");
chikan("○88○","р");
chikan("○89○","с");
chikan("○90○","т");
chikan("○91○","у");
chikan("○92○","ф");
chikan("○93○","х");
chikan("○94○","ц");
chikan("○95○","ч");
chikan("○96○","ш");
chikan("○97○","щ");
chikan("○98○","ъ");
chikan("○99○","ы");
chikan("○100○","ь");
/////////////////////////////////////////////
///一覧を生成
var doc = app.documents[0] ;
//var ngList=new String;
//ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】では丸数字の検索／置換が実行できなかった可能性があります。");
	}
};
//外部テキストファイルにリストを保存
/*
ngList=ngList.replace(/\t/g," ");
flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
*/

if (doc.fonts[j].writingScript == 1) {
//検索置換リストを読み込み
chikan(1011,8224);
chikan(1012,10234);
chikan(1013,7555);
chikan(1014,10235);
chikan(1015,7556);
chikan(1016,10236);
chikan(1017,7557);
chikan(1018,10237);
chikan(1019,7558);
chikan(1020,10238);
chikan(1021,7559);
chikan(1022,10239);
chikan(1023,7560);
chikan(1024,10240);
chikan(1025,7561);
chikan(1026,10241);
chikan(1027,7562);
chikan(1028,10242);
chikan(1029,7563);
chikan(1030,10243);
chikan(1031,7564);
chikan(1032,7565);
chikan(1033,7566);
chikan(1034,7567);
chikan(1035,7568);
chikan(1036,7569);
chikan(1037,7570);
chikan(1038,7571);
chikan(1039,7572);
chikan(1040,7573);
chikan(1041,7574);
chikan(1042,8091);
chikan(1043,8102);
chikan(1044,8103);
chikan(1045,8104);
chikan(1046,8105);
chikan(1047,8106);
chikan(1048,8107);
chikan(1049,8108);
chikan(1050,8109);
chikan(1051,8110);
chikan(1052,8111);
chikan(1053,10244);
chikan(1054,10245);
chikan(1055,10246);
chikan(1056,10247);
chikan(1057,10248);
chikan(1058,10249);
chikan(1059,10250);
chikan(1060,10251);
chikan(1061,10252);
chikan(1062,10253);
chikan(1063,10254);
chikan(1064,10255);
chikan(1065,10256);
chikan(1066,10257);
chikan(1067,10258);
chikan(1068,10259);
chikan(1069,10260);
chikan(1070,10261);
chikan(1071,10262);
chikan(1072,10263);
chikan(1073,10264);
chikan(1074,10265);
chikan(1075,10266);
chikan(1076,10267);
chikan(1077,10268);
chikan(1078,10269);
chikan(1079,10270);
chikan(1080,10271);
chikan(1081,10272);
chikan(1082,10273);
chikan(1083,10274);
chikan(1084,10275);
chikan(1085,10276);
chikan(1086,10277);
chikan(1087,10278);
chikan(1088,10279);
chikan(1089,10280);
chikan(1090,10281);
chikan(1091,10282);
chikan(1092,10283);
chikan(1093,10284);
chikan(1094,10285);
chikan(1095,10286);
chikan(1096,10287);
chikan(1097,10288);
chikan(1098,10289);
chikan(1099,10290);
chikan(1100,10291);
chikan(1101,10292);
chikan(1102,10293);
chikan(1103,10294);
chikan(1104,10295);
chikan(1105,10296);
chikan(1106,10297);
chikan(1107,10298);
chikan(1108,10299);
chikan(1109,10300);
chikan(1110,10301);
chikan(1111,10302);
chikan(1112,10303);
chikan(1113,10304);
chikan(1114,10305);
chikan(1115,10306);
chikan(1116,10307);
chikan(1117,10308);
chikan(1118,10309);
chikan(1119,10310);
chikan(1120,10311);
chikan(1121,10312);
	} 
}
})();
/////////////////////////////////////////////



//ここから03
(function(){
/////////////////////////////////////////////
function chikan(a,b){
app.findGrepPreferences.findWhat = a;
app.changeGrepPreferences.changeTo = b;

app.activeDocument.changeGrep(); //ドキュメント対象 
};

//検索置換リスト
chikan("●0●","Α");
chikan("●00●","Β");
chikan("●1●","Γ");
chikan("●01●","Δ");
chikan("●2●","Ε");
chikan("●02●","Ζ");
chikan("●3●","Η");
chikan("●03●","Θ");
chikan("●4●","Ι");
chikan("●04●","Κ");
chikan("●5●","Λ");
chikan("●05●","Μ");
chikan("●6●","Ν");
chikan("●06●","Ξ");
chikan("●7●","Ο");
chikan("●07●","Π");
chikan("●8●","Ρ");
chikan("●08●","Σ");
chikan("●9●","Τ");
chikan("●09●","Υ");
chikan("●10●","Φ");
chikan("●11●","Χ");
chikan("●12●","Ψ");
chikan("●13●","Ω");
chikan("●14●","α");
chikan("●15●","β");
chikan("●16●","γ");
chikan("●17●","δ");
chikan("●18●","ε");
chikan("●19●","ζ");
chikan("●20●","η");
chikan("●21●","θ");
chikan("●22●","ι");
chikan("●23●","κ");
chikan("●24●","λ");
chikan("●25●","μ");
chikan("●26●","ν");
chikan("●27●","ξ");
chikan("●28●","ο");
chikan("●29●","π");
chikan("●30●","ρ");
chikan("●31●","σ");
chikan("●32●","τ");
chikan("●33●","υ");
chikan("●34●","φ");
chikan("●35●","χ");
chikan("●36●","ψ");
chikan("●37●","ω");
chikan("●38●","А");
chikan("●39●","Б");
chikan("●40●","В");
chikan("●41●","Г");
chikan("●42●","Д");
chikan("●43●","Е");
chikan("●44●","Ё");
chikan("●45●","Ж");
chikan("●46●","З");
chikan("●47●","И");
chikan("●48●","Й");
chikan("●49●","К");
chikan("●50●","Л");
chikan("●51●","М");
chikan("●52●","Н");
chikan("●53●","О");
chikan("●54●","П");
chikan("●55●","Р");
chikan("●56●","С");
chikan("●57●","Т");
chikan("●58●","У");
chikan("●59●","Ф");
chikan("●60●","Х");
chikan("●61●","Ц");
chikan("●62●","Ч");
chikan("●63●","Ш");
chikan("●64●","Щ");
chikan("●65●","Ъ");
chikan("●66●","Ы");
chikan("●67●","Ь");
chikan("●68●","Э");
chikan("●69●","Ю");
chikan("●70●","Я");
chikan("●71●","а");
chikan("●72●","б");
chikan("●73●","в");
chikan("●74●","г");
chikan("●75●","д");
chikan("●76●","е");
chikan("●77●","ё");
chikan("●78●","ж");
chikan("●79●","з");
chikan("●80●","и");
chikan("●81●","й");
chikan("●82●","к");
chikan("●83●","л");
chikan("●84●","м");
chikan("●85●","н");
chikan("●86●","о");
chikan("●87●","п");
chikan("●88●","р");
chikan("●89●","с");
chikan("●90●","т");
chikan("●91●","у");
chikan("●92●","ф");
chikan("●93●","х");
chikan("●94●","ц");
chikan("●95●","ч");
chikan("●96●","ш");
chikan("●97●","щ");
chikan("●98●","ъ");
chikan("●99●","ы");
chikan("●100●","ь");
/////////////////////////////////////////////
///一覧を生成
var doc = app.documents[0] ;
//var ngList=new String;
//ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】ではベタ白丸数字の検索／置換が実行できなかった可能性があります。");
	}
};
//外部テキストファイルにリストを保存
/*
ngList=ngList.replace(/\t/g," ");
flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
*/

if (doc.fonts[j].writingScript == 1) {
//検索置換リストを読み込み
chikan(1011,10503);
chikan(1012,10504);
chikan(1013,8286);
chikan(1014,10505);
chikan(1015,8287);
chikan(1016,10506);
chikan(1017,8288);
chikan(1018,10507);
chikan(1019,8289);
chikan(1020,10508);
chikan(1021,8290);
chikan(1022,10509);
chikan(1023,8291);
chikan(1024,10510);
chikan(1025,8292);
chikan(1026,10511);
chikan(1027,8293);
chikan(1028,10512);
chikan(1029,8294);
chikan(1030,10513);
chikan(1031,10514);
chikan(1032,10515);
chikan(1033,10516);
chikan(1034,10517);
chikan(1035,10518);
chikan(1036,10519);
chikan(1037,10520);
chikan(1038,10521);
chikan(1039,10522);
chikan(1040,10523);
chikan(1041,10524);
chikan(1042,10525);
chikan(1043,10526);
chikan(1044,10527);
chikan(1045,10528);
chikan(1046,10529);
chikan(1047,10530);
chikan(1048,10531);
chikan(1049,10532);
chikan(1050,10533);
chikan(1051,10534);
chikan(1052,10535);
chikan(1053,10536);
chikan(1054,10537);
chikan(1055,10538);
chikan(1056,10539);
chikan(1057,10540);
chikan(1058,10541);
chikan(1059,10542);
chikan(1060,10543);
chikan(1061,10544);
chikan(1062,10545);
chikan(1063,10546);
chikan(1064,10547);
chikan(1065,10548);
chikan(1066,10549);
chikan(1067,10550);
chikan(1068,10551);
chikan(1069,10552);
chikan(1070,10553);
chikan(1071,10554);
chikan(1072,10555);
chikan(1073,10556);
chikan(1074,10557);
chikan(1075,10558);
chikan(1076,10559);
chikan(1077,10560);
chikan(1078,10561);
chikan(1079,10562);
chikan(1080,10563);
chikan(1081,10564);
chikan(1082,10565);
chikan(1083,10566);
chikan(1084,10567);
chikan(1085,10568);
chikan(1086,10569);
chikan(1087,10570);
chikan(1088,10571);
chikan(1089,10572);
chikan(1090,10573);
chikan(1091,10574);
chikan(1092,10575);
chikan(1093,10576);
chikan(1094,10577);
chikan(1095,10578);
chikan(1096,10579);
chikan(1097,10580);
chikan(1098,10581);
chikan(1099,10582);
chikan(1100,10583);
chikan(1101,10584);
chikan(1102,10585);
chikan(1103,10586);
chikan(1104,10587);
chikan(1105,10588);
chikan(1106,10589);
chikan(1107,10590);
chikan(1108,10591);
chikan(1109,10592);
chikan(1110,10593);
chikan(1111,10594);
chikan(1112,10595);
chikan(1113,10596);
chikan(1114,10597);
chikan(1115,10598);
chikan(1116,10599);
chikan(1117,10600);
chikan(1118,10601);
chikan(1119,10602);
chikan(1120,10603);
chikan(1121,10604);
	} 
}
})();
/////////////////////////////////////////////

//ここから04
(function(){
/////////////////////////////////////////////
function chikan(a,b){
app.findGrepPreferences.findWhat = a;
app.changeGrepPreferences.changeTo = b;

app.activeDocument.changeGrep(); //ドキュメント対象 
};

//検索置換リスト
chikan("□0□","Α");
chikan("□00□","Β");
chikan("□1□","Γ");
chikan("□01□","Δ");
chikan("□2□","Ε");
chikan("□02□","Ζ");
chikan("□3□","Η");
chikan("□03□","Θ");
chikan("□4□","Ι");
chikan("□04□","Κ");
chikan("□5□","Λ");
chikan("□05□","Μ");
chikan("□6□","Ν");
chikan("□06□","Ξ");
chikan("□7□","Ο");
chikan("□07□","Π");
chikan("□8□","Ρ");
chikan("□08□","Σ");
chikan("□9□","Τ");
chikan("□09□","Υ");
chikan("□10□","Φ");
chikan("□11□","Χ");
chikan("□12□","Ψ");
chikan("□13□","Ω");
chikan("□14□","α");
chikan("□15□","β");
chikan("□16□","γ");
chikan("□17□","δ");
chikan("□18□","ε");
chikan("□19□","ζ");
chikan("□20□","η");
chikan("□21□","θ");
chikan("□22□","ι");
chikan("□23□","κ");
chikan("□24□","λ");
chikan("□25□","μ");
chikan("□26□","ν");
chikan("□27□","ξ");
chikan("□28□","ο");
chikan("□29□","π");
chikan("□30□","ρ");
chikan("□31□","σ");
chikan("□32□","τ");
chikan("□33□","υ");
chikan("□34□","φ");
chikan("□35□","χ");
chikan("□36□","ψ");
chikan("□37□","ω");
chikan("□38□","А");
chikan("□39□","Б");
chikan("□40□","В");
chikan("□41□","Г");
chikan("□42□","Д");
chikan("□43□","Е");
chikan("□44□","Ё");
chikan("□45□","Ж");
chikan("□46□","З");
chikan("□47□","И");
chikan("□48□","Й");
chikan("□49□","К");
chikan("□50□","Л");
chikan("□51□","М");
chikan("□52□","Н");
chikan("□53□","О");
chikan("□54□","П");
chikan("□55□","Р");
chikan("□56□","С");
chikan("□57□","Т");
chikan("□58□","У");
chikan("□59□","Ф");
chikan("□60□","Х");
chikan("□61□","Ц");
chikan("□62□","Ч");
chikan("□63□","Ш");
chikan("□64□","Щ");
chikan("□65□","Ъ");
chikan("□66□","Ы");
chikan("□67□","Ь");
chikan("□68□","Э");
chikan("□69□","Ю");
chikan("□70□","Я");
chikan("□71□","а");
chikan("□72□","б");
chikan("□73□","в");
chikan("□74□","г");
chikan("□75□","д");
chikan("□76□","е");
chikan("□77□","ё");
chikan("□78□","ж");
chikan("□79□","з");
chikan("□80□","и");
chikan("□81□","й");
chikan("□82□","к");
chikan("□83□","л");
chikan("□84□","м");
chikan("□85□","н");
chikan("□86□","о");
chikan("□87□","п");
chikan("□88□","р");
chikan("□89□","с");
chikan("□90□","т");
chikan("□91□","у");
chikan("□92□","ф");
chikan("□93□","х");
chikan("□94□","ц");
chikan("□95□","ч");
chikan("□96□","ш");
chikan("□97□","щ");
chikan("□98□","ъ");
chikan("□99□","ы");
chikan("□100□","ь");
/////////////////////////////////////////////
///一覧を生成
var doc = app.documents[0] ;
//var ngList=new String;
//ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】では四角数字の検索／置換が実行できなかった可能性があります。");
	}
};
//外部テキストファイルにリストを保存
/*
ngList=ngList.replace(/\t/g," ");
flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
*/

if (doc.fonts[j].writingScript == 1) {
//検索置換リストを読み込み
chikan(1011,10764);
chikan(1012,10765);
chikan(1013,10766);
chikan(1014,10767);
chikan(1015,10768);
chikan(1016,10769);
chikan(1017,10770);
chikan(1018,10771);
chikan(1019,10772);
chikan(1020,10773);
chikan(1021,10774);
chikan(1022,10775);
chikan(1023,10776);
chikan(1024,10777);
chikan(1025,10778);
chikan(1026,10779);
chikan(1027,10780);
chikan(1028,10781);
chikan(1029,10782);
chikan(1030,10783);
chikan(1031,10784);
chikan(1032,10785);
chikan(1033,10786);
chikan(1034,10787);
chikan(1035,10788);
chikan(1036,10789);
chikan(1037,10790);
chikan(1038,10791);
chikan(1039,10792);
chikan(1040,10793);
chikan(1041,10794);
chikan(1042,10795);
chikan(1043,10796);
chikan(1044,10797);
chikan(1045,10798);
chikan(1046,10799);
chikan(1047,10800);
chikan(1048,10801);
chikan(1049,10802);
chikan(1050,10803);
chikan(1051,10804);
chikan(1052,10805);
chikan(1053,10806);
chikan(1054,10807);
chikan(1055,10808);
chikan(1056,10809);
chikan(1057,10810);
chikan(1058,10811);
chikan(1059,10812);
chikan(1060,10813);
chikan(1061,10814);
chikan(1062,10815);
chikan(1063,10816);
chikan(1064,10817);
chikan(1065,10818);
chikan(1066,10819);
chikan(1067,10820);
chikan(1068,10821);
chikan(1069,10822);
chikan(1070,10823);
chikan(1071,10824);
chikan(1072,10825);
chikan(1073,10826);
chikan(1074,10827);
chikan(1075,10828);
chikan(1076,10829);
chikan(1077,10830);
chikan(1078,10831);
chikan(1079,10832);
chikan(1080,10833);
chikan(1081,10834);
chikan(1082,10835);
chikan(1083,10836);
chikan(1084,10837);
chikan(1085,10838);
chikan(1086,10839);
chikan(1087,10840);
chikan(1088,10841);
chikan(1089,10842);
chikan(1090,10843);
chikan(1091,10844);
chikan(1092,10845);
chikan(1093,10846);
chikan(1094,10847);
chikan(1095,10848);
chikan(1096,10849);
chikan(1097,10850);
chikan(1098,10851);
chikan(1099,10852);
chikan(1100,10853);
chikan(1101,10854);
chikan(1102,10855);
chikan(1103,10856);
chikan(1104,10857);
chikan(1105,10858);
chikan(1106,10859);
chikan(1107,10860);
chikan(1108,10861);
chikan(1109,10862);
chikan(1110,10863);
chikan(1111,10864);
chikan(1112,10865);
chikan(1113,10866);
chikan(1114,10867);
chikan(1115,10868);
chikan(1116,10869);
chikan(1117,10870);
chikan(1118,10871);
chikan(1119,10872);
chikan(1120,10873);
chikan(1121,10874);
	} 
}
})();
/////////////////////////////////////////////

//ここから05
(function(){
/////////////////////////////////////////////
function chikan(a,b){
app.findGrepPreferences.findWhat = a;
app.changeGrepPreferences.changeTo = b;

app.activeDocument.changeGrep(); //ドキュメント対象 
};

//検索置換リスト
chikan("■0■","Α");
chikan("■00■","Β");
chikan("■1■","Γ");
chikan("■01■","Δ");
chikan("■2■","Ε");
chikan("■02■","Ζ");
chikan("■3■","Η");
chikan("■03■","Θ");
chikan("■4■","Ι");
chikan("■04■","Κ");
chikan("■5■","Λ");
chikan("■05■","Μ");
chikan("■6■","Ν");
chikan("■06■","Ξ");
chikan("■7■","Ο");
chikan("■07■","Π");
chikan("■8■","Ρ");
chikan("■08■","Σ");
chikan("■9■","Τ");
chikan("■09■","Υ");
chikan("■10■","Φ");
chikan("■11■","Χ");
chikan("■12■","Ψ");
chikan("■13■","Ω");
chikan("■14■","α");
chikan("■15■","β");
chikan("■16■","γ");
chikan("■17■","δ");
chikan("■18■","ε");
chikan("■19■","ζ");
chikan("■20■","η");
chikan("■21■","θ");
chikan("■22■","ι");
chikan("■23■","κ");
chikan("■24■","λ");
chikan("■25■","μ");
chikan("■26■","ν");
chikan("■27■","ξ");
chikan("■28■","ο");
chikan("■29■","π");
chikan("■30■","ρ");
chikan("■31■","σ");
chikan("■32■","τ");
chikan("■33■","υ");
chikan("■34■","φ");
chikan("■35■","χ");
chikan("■36■","ψ");
chikan("■37■","ω");
chikan("■38■","А");
chikan("■39■","Б");
chikan("■40■","В");
chikan("■41■","Г");
chikan("■42■","Д");
chikan("■43■","Е");
chikan("■44■","Ё");
chikan("■45■","Ж");
chikan("■46■","З");
chikan("■47■","И");
chikan("■48■","Й");
chikan("■49■","К");
chikan("■50■","Л");
chikan("■51■","М");
chikan("■52■","Н");
chikan("■53■","О");
chikan("■54■","П");
chikan("■55■","Р");
chikan("■56■","С");
chikan("■57■","Т");
chikan("■58■","У");
chikan("■59■","Ф");
chikan("■60■","Х");
chikan("■61■","Ц");
chikan("■62■","Ч");
chikan("■63■","Ш");
chikan("■64■","Щ");
chikan("■65■","Ъ");
chikan("■66■","Ы");
chikan("■67■","Ь");
chikan("■68■","Э");
chikan("■69■","Ю");
chikan("■70■","Я");
chikan("■71■","а");
chikan("■72■","б");
chikan("■73■","в");
chikan("■74■","г");
chikan("■75■","д");
chikan("■76■","е");
chikan("■77■","ё");
chikan("■78■","ж");
chikan("■79■","з");
chikan("■80■","и");
chikan("■81■","й");
chikan("■82■","к");
chikan("■83■","л");
chikan("■84■","м");
chikan("■85■","н");
chikan("■86■","о");
chikan("■87■","п");
chikan("■88■","р");
chikan("■89■","с");
chikan("■90■","т");
chikan("■91■","у");
chikan("■92■","ф");
chikan("■93■","х");
chikan("■94■","ц");
chikan("■95■","ч");
chikan("■96■","ш");
chikan("■97■","щ");
chikan("■98■","ъ");
chikan("■99■","ы");
chikan("■100■","ь");
/////////////////////////////////////////////
///一覧を生成
var doc = app.documents[0] ;
//var ngList=new String;
//ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】ではベタ白四角数字の検索／置換が実行できなかった可能性があります。");
	}
};
//外部テキストファイルにリストを保存
/*
ngList=ngList.replace(/\t/g," ");
flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
*/

if (doc.fonts[j].writingScript == 1) {
//検索置換リストを読み込み
chikan(1011,11037);
chikan(1012,11038);
chikan(1013,11039);
chikan(1014,11040);
chikan(1015,11041);
chikan(1016,11042);
chikan(1017,11043);
chikan(1018,11044);
chikan(1019,11045);
chikan(1020,11046);
chikan(1021,11047);
chikan(1022,11048);
chikan(1023,11049);
chikan(1024,11050);
chikan(1025,11051);
chikan(1026,11052);
chikan(1027,11053);
chikan(1028,11054);
chikan(1029,11055);
chikan(1030,11056);
chikan(1031,11057);
chikan(1032,11058);
chikan(1033,11059);
chikan(1034,11060);
chikan(1035,11061);
chikan(1036,11062);
chikan(1037,11063);
chikan(1038,11064);
chikan(1039,11065);
chikan(1040,11066);
chikan(1041,11067);
chikan(1042,11068);
chikan(1043,11069);
chikan(1044,11070);
chikan(1045,11071);
chikan(1046,11072);
chikan(1047,11073);
chikan(1048,11074);
chikan(1049,11075);
chikan(1050,11076);
chikan(1051,11077);
chikan(1052,11078);
chikan(1053,11079);
chikan(1054,11080);
chikan(1055,11081);
chikan(1056,11082);
chikan(1057,11083);
chikan(1058,11084);
chikan(1059,11085);
chikan(1060,11086);
chikan(1061,11087);
chikan(1062,11088);
chikan(1063,11089);
chikan(1064,11090);
chikan(1065,11091);
chikan(1066,11092);
chikan(1067,11093);
chikan(1068,11094);
chikan(1069,11095);
chikan(1070,11096);
chikan(1071,11097);
chikan(1072,11098);
chikan(1073,11099);
chikan(1074,11100);
chikan(1075,11101);
chikan(1076,11102);
chikan(1077,11103);
chikan(1078,11104);
chikan(1079,11105);
chikan(1080,11106);
chikan(1081,11107);
chikan(1082,11108);
chikan(1083,11109);
chikan(1084,11110);
chikan(1085,11111);
chikan(1086,11112);
chikan(1087,11113);
chikan(1088,11114);
chikan(1089,11115);
chikan(1090,11116);
chikan(1091,11117);
chikan(1092,11118);
chikan(1093,11119);
chikan(1094,11120);
chikan(1095,11121);
chikan(1096,11122);
chikan(1097,11123);
chikan(1098,11124);
chikan(1099,11125);
chikan(1100,11126);
chikan(1101,11127);
chikan(1102,11128);
chikan(1103,11129);
chikan(1104,11130);
chikan(1105,11131);
chikan(1106,11132);
chikan(1107,11133);
chikan(1108,11134);
chikan(1109,11135);
chikan(1110,11136);
chikan(1111,11137);
chikan(1112,11138);
chikan(1113,11139);
chikan(1114,11140);
chikan(1115,11141);
chikan(1116,11142);
chikan(1117,11143);
chikan(1118,11144);
chikan(1119,11145);
chikan(1120,11146);
chikan(1121,11147);
	} 
}
})();
/////////////////////////////////////////////

//ここから06
(function(){
/////////////////////////////////////////////
function chikan(a,b){
app.findGrepPreferences.findWhat = a;
app.changeGrepPreferences.changeTo = b;

app.activeDocument.changeGrep(); //ドキュメント対象 
};

//検索置換リスト
chikan("○0□","Α");
chikan("○00□","Β");
chikan("○1□","Γ");
chikan("○01□","Δ");
chikan("○2□","Ε");
chikan("○02□","Ζ");
chikan("○3□","Η");
chikan("○03□","Θ");
chikan("○4□","Ι");
chikan("○04□","Κ");
chikan("○5□","Λ");
chikan("○05□","Μ");
chikan("○6□","Ν");
chikan("○06□","Ξ");
chikan("○7□","Ο");
chikan("○07□","Π");
chikan("○8□","Ρ");
chikan("○08□","Σ");
chikan("○9□","Τ");
chikan("○09□","Υ");
chikan("○10□","Φ");
chikan("○11□","Χ");
chikan("○12□","Ψ");
chikan("○13□","Ω");
chikan("○14□","α");
chikan("○15□","β");
chikan("○16□","γ");
chikan("○17□","δ");
chikan("○18□","ε");
chikan("○19□","ζ");
chikan("○20□","η");
chikan("○21□","θ");
chikan("○22□","ι");
chikan("○23□","κ");
chikan("○24□","λ");
chikan("○25□","μ");
chikan("○26□","ν");
chikan("○27□","ξ");
chikan("○28□","ο");
chikan("○29□","π");
chikan("○30□","ρ");
chikan("○31□","σ");
chikan("○32□","τ");
chikan("○33□","υ");
chikan("○34□","φ");
chikan("○35□","χ");
chikan("○36□","ψ");
chikan("○37□","ω");
chikan("○38□","А");
chikan("○39□","Б");
chikan("○40□","В");
chikan("○41□","Г");
chikan("○42□","Д");
chikan("○43□","Е");
chikan("○44□","Ё");
chikan("○45□","Ж");
chikan("○46□","З");
chikan("○47□","И");
chikan("○48□","Й");
chikan("○49□","К");
chikan("○50□","Л");
chikan("○51□","М");
chikan("○52□","Н");
chikan("○53□","О");
chikan("○54□","П");
chikan("○55□","Р");
chikan("○56□","С");
chikan("○57□","Т");
chikan("○58□","У");
chikan("○59□","Ф");
chikan("○60□","Х");
chikan("○61□","Ц");
chikan("○62□","Ч");
chikan("○63□","Ш");
chikan("○64□","Щ");
chikan("○65□","Ъ");
chikan("○66□","Ы");
chikan("○67□","Ь");
chikan("○68□","Э");
chikan("○69□","Ю");
chikan("○70□","Я");
chikan("○71□","а");
chikan("○72□","б");
chikan("○73□","в");
chikan("○74□","г");
chikan("○75□","д");
chikan("○76□","е");
chikan("○77□","ё");
chikan("○78□","ж");
chikan("○79□","з");
chikan("○80□","и");
chikan("○81□","й");
chikan("○82□","к");
chikan("○83□","л");
chikan("○84□","м");
chikan("○85□","н");
chikan("○86□","о");
chikan("○87□","п");
chikan("○88□","р");
chikan("○89□","с");
chikan("○90□","т");
chikan("○91□","у");
chikan("○92□","ф");
chikan("○93□","х");
chikan("○94□","ц");
chikan("○95□","ч");
chikan("○96□","ш");
chikan("○97□","щ");
chikan("○98□","ъ");
chikan("○99□","ы");
chikan("○100□","ь");
/////////////////////////////////////////////

///一覧を生成
var doc = app.documents[0] ;
//var ngList=new String;
//ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】では角丸数字の検索／置換が実行できなかった可能性があります。");
	}
};
//外部テキストファイルにリストを保存
/*
ngList=ngList.replace(/\t/g," ");
flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
*/

if (doc.fonts[j].writingScript == 1) {
//検索置換リストを読み込み
chikan(1011,11307);
chikan(1012,11308);
chikan(1013,11309);
chikan(1014,11310);
chikan(1015,11311);
chikan(1016,11312);
chikan(1017,11313);
chikan(1018,11314);
chikan(1019,11315);
chikan(1020,11316);
chikan(1021,11317);
chikan(1022,11318);
chikan(1023,11319);
chikan(1024,11320);
chikan(1025,11321);
chikan(1026,11322);
chikan(1027,11323);
chikan(1028,11324);
chikan(1029,11325);
chikan(1030,11326);
chikan(1031,11327);
chikan(1032,11328);
chikan(1033,11329);
chikan(1034,11330);
chikan(1035,11331);
chikan(1036,11332);
chikan(1037,11333);
chikan(1038,11334);
chikan(1039,11335);
chikan(1040,11336);
chikan(1041,11337);
chikan(1042,11338);
chikan(1043,11339);
chikan(1044,11340);
chikan(1045,11341);
chikan(1046,11342);
chikan(1047,11343);
chikan(1048,11344);
chikan(1049,11345);
chikan(1050,11346);
chikan(1051,11347);
chikan(1052,11348);
chikan(1053,11349);
chikan(1054,11350);
chikan(1055,11351);
chikan(1056,11352);
chikan(1057,11353);
chikan(1058,11354);
chikan(1059,11355);
chikan(1060,11356);
chikan(1061,11357);
chikan(1062,11358);
chikan(1063,11359);
chikan(1064,11360);
chikan(1065,11361);
chikan(1066,11362);
chikan(1067,11363);
chikan(1068,11364);
chikan(1069,11365);
chikan(1070,11366);
chikan(1071,11367);
chikan(1072,11368);
chikan(1073,11369);
chikan(1074,11370);
chikan(1075,11371);
chikan(1076,11372);
chikan(1077,11373);
chikan(1078,11374);
chikan(1079,11375);
chikan(1080,11376);
chikan(1081,11377);
chikan(1082,11378);
chikan(1083,11379);
chikan(1084,11380);
chikan(1085,11381);
chikan(1086,11382);
chikan(1087,11383);
chikan(1088,11384);
chikan(1089,11385);
chikan(1090,11386);
chikan(1091,11387);
chikan(1092,11388);
chikan(1093,11389);
chikan(1094,11390);
chikan(1095,11391);
chikan(1096,11392);
chikan(1097,11393);
chikan(1098,11394);
chikan(1099,11395);
chikan(1100,11396);
chikan(1101,11397);
chikan(1102,11398);
chikan(1103,11399);
chikan(1104,11400);
chikan(1105,11401);
chikan(1106,11402);
chikan(1107,11403);
chikan(1108,11404);
chikan(1109,11405);
chikan(1110,11406);
chikan(1111,11407);
chikan(1112,11408);
chikan(1113,11409);
chikan(1114,11410);
chikan(1115,11411);
chikan(1116,11412);
chikan(1117,11413);
chikan(1118,11414);
chikan(1119,11415);
chikan(1120,11416);
chikan(1121,11417);
	} 
}
})();
/////////////////////////////////////////////

//ここから07
(function(){
/////////////////////////////////////////////
function chikan(a,b){
app.findGrepPreferences.findWhat = a;
app.changeGrepPreferences.changeTo = b;

app.activeDocument.changeGrep(); //ドキュメント対象 
};

//検索置換リスト
chikan("●0■","Α");
chikan("●00■","Β");
chikan("●1■","Γ");
chikan("●01■","Δ");
chikan("●2■","Ε");
chikan("●02■","Ζ");
chikan("●3■","Η");
chikan("●03■","Θ");
chikan("●4■","Ι");
chikan("●04■","Κ");
chikan("●5■","Λ");
chikan("●05■","Μ");
chikan("●6■","Ν");
chikan("●06■","Ξ");
chikan("●7■","Ο");
chikan("●07■","Π");
chikan("●8■","Ρ");
chikan("●08■","Σ");
chikan("●9■","Τ");
chikan("●09■","Υ");
chikan("●10■","Φ");
chikan("●11■","Χ");
chikan("●12■","Ψ");
chikan("●13■","Ω");
chikan("●14■","α");
chikan("●15■","β");
chikan("●16■","γ");
chikan("●17■","δ");
chikan("●18■","ε");
chikan("●19■","ζ");
chikan("●20■","η");
chikan("●21■","θ");
chikan("●22■","ι");
chikan("●23■","κ");
chikan("●24■","λ");
chikan("●25■","μ");
chikan("●26■","ν");
chikan("●27■","ξ");
chikan("●28■","ο");
chikan("●29■","π");
chikan("●30■","ρ");
chikan("●31■","σ");
chikan("●32■","τ");
chikan("●33■","υ");
chikan("●34■","φ");
chikan("●35■","χ");
chikan("●36■","ψ");
chikan("●37■","ω");
chikan("●38■","А");
chikan("●39■","Б");
chikan("●40■","В");
chikan("●41■","Г");
chikan("●42■","Д");
chikan("●43■","Е");
chikan("●44■","Ё");
chikan("●45■","Ж");
chikan("●46■","З");
chikan("●47■","И");
chikan("●48■","Й");
chikan("●49■","К");
chikan("●50■","Л");
chikan("●51■","М");
chikan("●52■","Н");
chikan("●53■","О");
chikan("●54■","П");
chikan("●55■","Р");
chikan("●56■","С");
chikan("●57■","Т");
chikan("●58■","У");
chikan("●59■","Ф");
chikan("●60■","Х");
chikan("●61■","Ц");
chikan("●62■","Ч");
chikan("●63■","Ш");
chikan("●64■","Щ");
chikan("●65■","Ъ");
chikan("●66■","Ы");
chikan("●67■","Ь");
chikan("●68■","Э");
chikan("●69■","Ю");
chikan("●70■","Я");
chikan("●71■","а");
chikan("●72■","б");
chikan("●73■","в");
chikan("●74■","г");
chikan("●75■","д");
chikan("●76■","е");
chikan("●77■","ё");
chikan("●78■","ж");
chikan("●79■","з");
chikan("●80■","и");
chikan("●81■","й");
chikan("●82■","к");
chikan("●83■","л");
chikan("●84■","м");
chikan("●85■","н");
chikan("●86■","о");
chikan("●87■","п");
chikan("●88■","р");
chikan("●89■","с");
chikan("●90■","т");
chikan("●91■","у");
chikan("●92■","ф");
chikan("●93■","х");
chikan("●94■","ц");
chikan("●95■","ч");
chikan("●96■","ш");
chikan("●97■","щ");
chikan("●98■","ъ");
chikan("●99■","ы");
chikan("●100■","ь");
/////////////////////////////////////////////
///一覧を生成
var doc = app.documents[0] ;
//var ngList=new String;
//ngList=("■ファイル【"+app.documents[0].name+"】内の未実行一覧（すべて置換された場合は空欄）\r");
//2019_08_02修正部分……………………………………………………
for (var j = 0; j < doc.fonts.length; j++) {
var selectFont = app.fonts.item( doc.fonts[j].name ) ;
var jFamily = doc.fonts[j].fontFamily;
var jStyleName = doc.fonts[j].fontStyleName;
app.findGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
app.changeGlyphPreferences.appliedFont =  app.fonts.itemByName(jFamily+"	"+jStyleName); 
//……………………………………………………
function chikan(a,b){
	try {
		app.findGlyphPreferences.glyphID = a;
		app.changeGlyphPreferences.glyphID = b;
		app.documents[0].changeGlyph();
		} catch ( e ) {
		ngList=(ngList+"\r【"+fName+"】ではベタ白角丸数字の検索／置換が実行できなかった可能性があります。");
	}
};

//外部テキストファイルにリストを保存
ngList=ngList.replace(/\t/g," ");

ngList=ngList.replace(/(【[^】\r]+】[^【】\r]+\r?)\1+/g,"$1");
ngList=ngList.replace(/(.+)\1/g,"$1");

flag = fileObj.open("w");
if (flag){
fileObj.writeln(ngList);
fileObj.close();
}else{
alert("ファイルが作成できません。アクセス権があるか確認してください");
}
if (doc.fonts[j].writingScript == 1) {
//検索置換リストを読み込み
chikan(1011,11576);
chikan(1012,11577);
chikan(1013,11578);
chikan(1014,11579);
chikan(1015,11580);
chikan(1016,11581);
chikan(1017,11582);
chikan(1018,11583);
chikan(1019,11584);
chikan(1020,11585);
chikan(1021,11586);
chikan(1022,11587);
chikan(1023,11588);
chikan(1024,11589);
chikan(1025,11590);
chikan(1026,11591);
chikan(1027,11592);
chikan(1028,11593);
chikan(1029,11594);
chikan(1030,11595);
chikan(1031,11596);
chikan(1032,11597);
chikan(1033,11598);
chikan(1034,11599);
chikan(1035,11600);
chikan(1036,11601);
chikan(1037,11602);
chikan(1038,11603);
chikan(1039,11604);
chikan(1040,11605);
chikan(1041,11606);
chikan(1042,11607);
chikan(1043,11608);
chikan(1044,11609);
chikan(1045,11610);
chikan(1046,11611);
chikan(1047,11612);
chikan(1048,11613);
chikan(1049,11614);
chikan(1050,11615);
chikan(1051,11616);
chikan(1052,11617);
chikan(1053,11618);
chikan(1054,11619);
chikan(1055,11620);
chikan(1056,11621);
chikan(1057,11622);
chikan(1058,11623);
chikan(1059,11624);
chikan(1060,11625);
chikan(1061,11626);
chikan(1062,11627);
chikan(1063,11628);
chikan(1064,11629);
chikan(1065,11630);
chikan(1066,11631);
chikan(1067,11632);
chikan(1068,11633);
chikan(1069,11634);
chikan(1070,11635);
chikan(1071,11636);
chikan(1072,11637);
chikan(1073,11638);
chikan(1074,11639);
chikan(1075,11640);
chikan(1076,11641);
chikan(1077,11642);
chikan(1078,11643);
chikan(1079,11644);
chikan(1080,11645);
chikan(1081,11646);
chikan(1082,11647);
chikan(1083,11648);
chikan(1084,11649);
chikan(1085,11650);
chikan(1086,11651);
chikan(1087,11652);
chikan(1088,11653);
chikan(1089,11654);
chikan(1090,11655);
chikan(1091,11656);
chikan(1092,11657);
chikan(1093,11658);
chikan(1094,11659);
chikan(1095,11660);
chikan(1096,11661);
chikan(1097,11662);
chikan(1098,11663);
chikan(1099,11664);
chikan(1100,11665);
chikan(1101,11666);
chikan(1102,11667);
chikan(1103,11668);
chikan(1104,11669);
chikan(1105,11670);
chikan(1106,11671);
chikan(1107,11672);
chikan(1108,11673);
chikan(1109,11674);
chikan(1110,11675);
chikan(1111,11676);
chikan(1112,11677);
chikan(1113,11678);
chikan(1114,11679);
chikan(1115,11680);
chikan(1116,11681);
chikan(1117,11682);
chikan(1118,11683);
chikan(1119,11684);
chikan(1120,11685);
chikan(1121,11686);
	} 
}
})();

/////////////////////////////////////////////
//処理完了アラート


alert("【"+app.documents[0].name+"】のグリフ置換を実行しました。\r●未実行リストはドキュメントと同階層に保存されています。");
